Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.tools
Class DataPortTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.objectstyle.cayenne.tools.CayenneTask
                  org.objectstyle.cayenne.tools.DataPortTask

    public class DataPortTask

extends CayenneTask

A "cdataport" Ant task implementing a frontend to DataPort allowing porting database data using Ant build scripts.

Since:
  1.2: Prior to 1.2 DataPort classes were a part of cayenne-examples package.
Author:
  Andrei Adamchik

Field Summary
`protected boolean` | `cleanDest`
`protected java.lang.String` | `destNode`
`protected java.lang.String` | `excludeTables`
`protected java.lang.String` | `includeTables`
`protected java.lang.String` | `maps`
`protected java.io.File` | `projectFile`
`protected java.lang.String` | `srcNode`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DataPortTask()`

Method Summary
`void` | `execute()`
`protected DataNode` | `findNode(Configuration configuration, java.lang.String name)`
`protected java.util.Collection` | `getAllEntities(DataNode source, DataNode target)`
`void` | `setCleanDest(boolean flag)`
`void` | `setDestNode(java.lang.String destNode)`
`void` | `setExcludeTables(java.lang.String excludeTables)`
`void` | `setIncludeTables(java.lang.String includeTables)`
`void` | `setMaps(java.lang.String maps)`
`void` | `setProjectFile(java.io.File projectFile)`
`void` | `setSrcNode(java.lang.String srcNode)`
`protected void` | `validateParameters()`

Methods inherited from class org.objectstyle.cayenne.tools.CayenneTask
`configureLogging`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projectFile

    protected java.io.File projectFile

### maps

    protected java.lang.String maps

### srcNode

    protected java.lang.String srcNode

### destNode

    protected java.lang.String destNode

### includeTables

    protected java.lang.String includeTables

### excludeTables

    protected java.lang.String excludeTables

### cleanDest

    protected boolean cleanDest

Constructor Detail

### DataPortTask

    public DataPortTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### findNode

    protected DataNode findNode(Configuration configuration,
                                java.lang.String name)

### getAllEntities

    protected java.util.Collection getAllEntities(DataNode source,
                                                  DataNode target)

### validateParameters

    protected void validateParameters()
                               throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setDestNode

    public void setDestNode(java.lang.String destNode)

### setExcludeTables

    public void setExcludeTables(java.lang.String excludeTables)

### setIncludeTables

    public void setIncludeTables(java.lang.String includeTables)

### setMaps

    public void setMaps(java.lang.String maps)

### setProjectFile

    public void setProjectFile(java.io.File projectFile)

### setSrcNode

    public void setSrcNode(java.lang.String srcNode)

### setCleanDest

    public void setCleanDest(boolean flag)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.